Articles of gradle

Продолжайте получать эту ошибку, когда я пытаюсь скомпилировать Gradle в Android Studio на UBUNTU 14.04

Error:org.gradle.process.internal.ExecException: A problem occurred starting process 'command '/home/codywang/Documents/android-sdk-linux/build-tools/21.1.2/aapt'' :app:mergeDebugResources FAILED Error:Execution failed for task ':app:mergeDebugResources'. Error: org.gradle.process.internal.ExecException: A problem occurred starting process 'command '/home/codywang/Documents/android-sdk-linux/build-tools/21.1.2/aapt'' Я продолжал получать эти ошибки, когда пытаюсь скомпилировать Ubuntu 14.04 с Android Studio 1.1. Я провел некоторое исследование в Интернете и выяснил, что это может быть вызвано моим 64-разрядным Ubuntu, которое […]

Android Studio 0.2.7 построит исключение с Gradle

Я сейчас перехожу к Android Studio из Eclipse. Хотя, поскольку Android Studio все еще находится в режиме «Предварительный просмотр», я медленно и постепенно перемещаюсь. Начиная с обновления до новейшей версии Android Studio (0.2.7), я столкнулся с ошибкой в ​​процессе сборки по умолчанию, которая мешает мне создавать любые проекты Android, даже если я создаю новый «пустой» […]

Gradle fail: неподдерживаемый узел «item» в файле ids.xml

У меня возникли проблемы с запуском приложения для Android, поскольку Gradle не работает. Недавно я обновил Android Studio до 0.8.0 и пытаюсь запустить проект, который изменил друг (с использованием той же версии Android Studio). Сообщение от Gradle Build просто говорит: Error:Execution failed for task ':app:mergeDebugResources'. > Unsupported node 'item' in file D:\Dropbox\Programing\GIT\AntiTheftCharge\app\src\main\res\values\ids.xml Ниже представлен мой […]

Как полностью удалить SDK Twitter Fabric из проекта Android?

Я интегрировал SDK Fabric от Twitter в проект андроида, и теперь я бы хотел его полностью удалить. Как я видел до сих пор, этот SDK является довольно новым, поэтому он имеет небольшую документацию и функциональность за пределами наиболее распространенных случаев использования. Я еще не нашел ничего связанного с его удалением. Я попытался удалить связанный с […]

Возможно ли изменить исходный код файла библиотеки в Android Studio из Gradle dependency

Недавно я переключился с Eclipse на Android Studio, и я экспериментирую с библиотекой PagerSlidingTabStrip . Пытаясь настроить Tab Strip, я наткнулся на Triangle Pager Sliding Tab Strip, который предлагает изменить исходный код библиотеки зависимостей. Как изменить исходный код зависимости градиента (в данном случае и вообще)? Я не вижу ни одного доступного PagerSlidingTabStrip.java в моем проекте.

Сбой сборки в студии Android

Я получаю эту ошибку, когда я делаю град онлайн. Error:Gradle: FAILURE: Build failed with an exception. * What went wrong: Task 'testClasses' not found in project ':ProwessPride_V1.01'. * Try: Run gradle tasks to get a list of available tasks. Run with –stacktrace option to get the stack trace. Run with –info or –debug option to […]

Как настроить ароматы для проекта android gradle? Таинственная ошибка дубликата класса

Я создал простой тестовый проект: цель состоит в том, чтобы показать сообщение «привет», нажав кнопку на экране. Первая сборка аромата должна записать сообщение в системный журнал. Вторая сборка аромата должна содержать тост с сообщением. Как это можно достичь, используя граду? Мой build.gradle: apply plugin: 'android' android { compileSdkVersion 19 buildToolsVersion "19.0.1" defaultConfig { minSdkVersion 14 […]

CircleCi не может не разрешить инструменты сборки Android

Я пытаюсь использовать CircleCi с моим проектом Android, я добавил файл circle.yml, но каждый раз, когда сборка завершилась с ошибкой со следующей ошибкой Возникла проблема с настройкой проекта ': app'. Не удалось найти Редактирование средств сборки 23.0.1 Следующим является мой файл circle.yml # # Build configuration for Circle CI # general: artifacts: – /home/ubuntu/ES-NRP-Android-V3/app/build/outputs/apk/ machine: […]

Приложение Android + Java Module (Java 1.8)

Android Project (gradle) имеет основной модуль приложения : приложение – приложение для Android (применить плагин: «com.android.application») и java-module: network – (применить плагин: «java») Java-модульная сеть имеет совместимость с исходным кодом 1.8 по умолчанию, и я действительно хочу иметь ее из-за лямбда-выражений. Но Android-приложение 1.7 по умолчанию, и я не могу создать приложение. Конечно, я использую […]

Android – пакет конфликтует с существующим пакетом с тем же именем

Я имею эту конфигурацию по умолчанию на Gradle. defaultConfig { applicationId "com.my.application" minSdkVersion 16 targetSdkVersion 22 versionCode 190011 versionName "2.2.1" } И эти ароматы productFlavors { dev { applicationIdSuffix ".dev" versionCode 333333 buildConfigField "String", "ANVIL_BASE_URL", "DEBUG_URL" resValue "string", "app_name", "app name dev" signingConfig signingConfigs.releasesign } prod { buildConfigField "String", "ANVIL_BASE_URL", "PROD_URL" resValue "string", "app_name", "app […]